質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • Vim

    518questions

    VimとはUnix / Linux 系のOSに標準搭載されているターミナル上で動くテキストエディタです。

  • Mercurial

    9questions

    Mercurialとはオープンソースの分散型バージョン管理システムです

vimのインストールについて

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 793
退会済みユーザー

退会済みユーザー

初めて質問させていただきます。初心者です。
現在、vimをcentosにインストールしたいのですが、問題が起き、困っています。
環境はMac OSX El Capitan でバージョン10.11.4でpython2.6, 2.7, 3.5がインストールされています。

まず、vimのインストールには
  mercurial,
  ncurses-devel,
  make,
  gcc
の4つのパッケージが必要ということでしたので、有無を調べたところmercurialが入っていなかったのでyumでインストールしました。

それから,

sudo hg clone https://bitbucket.org/vim-mirror/vim vim


でvimのファイル?をダウンロードしようとしたところ以下のようなエラーが出ました。

abort: couldn't find mercurial libraries in [/usr/bin /usr/local/lib/python35.zip /usr/local/lib/python3.5 /usr/local/lib/python3.5/plat-linux /usr/local/lib/python3.5/lib-dynload /usr/local/lib/python3.5/site-packages]
(check your install and PYTHONPATH)

mercurialのファイルは/usr/lib64/python2.6/site-packageの下にインストールされていることがわかり、

export PYTHONPATH=/usr/lib64/python2.6/site-package


を実行しましたが、依然として上に示したエラーが出ている状況です。

解決策が分かる方はいらっしゃいますでしょうか?また、足りない情報はありますか?よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • pi-chan

    2016/03/28 08:32

    CentOSへインストールしたいと言いながら環境はMacというのは辻褄が合わないですよね?仮想環境ならその種類やバージョン、さらにはCentOSのバージョンなどもご提示された方が回答を得やすいですよ。それと、何故mercurial?純粋にVimをインストールしたいだけなら不要でしょう。それからこの質問は、Vimのインストールではなくmercurialの導入に関する内容なのでタイトルが不適切かと思います。

    キャンセル

回答 1

0

hgコマンドで問題があるのであれば,現在はgithubにもリポジトリがあるので,

$ git clone https://github.com/vim/vim.git

でもソースコードを落とすことができます.

予想できるのは,ホスト側(今回の場合であれば,OSX側なのかな?)にhgをインストールしたが,
CentOS側にはインストールしていないということはないでしょうか.

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

関連した質問

同じタグがついた質問を見る

  • Vim

    518questions

    VimとはUnix / Linux 系のOSに標準搭載されているターミナル上で動くテキストエディタです。

  • Mercurial

    9questions

    Mercurialとはオープンソースの分散型バージョン管理システムです